Changeset 2973


Ignore:
Timestamp:
Oct 15, 2013 9:53:10 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/configure

    r2903 r2973  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --enable-static[=PKGS]
     
    18801877
    18811878# Get the name of the C compiler and appropriate compiler options
    1882 case $build in
     1879
     1880
     1881  # for backward compatibility
     1882  # Check whether --enable-doscompile or --disable-doscompile was given.
     1883if test "${enable_doscompile+set}" = set; then
     1884  enableval="$enable_doscompile"
     1885  enable_doscompile=$enableval
     1886else
     1887  enable_doscompile=no
     1888fi;
     1889
     1890  # Check whether --enable-msvc or --disable-msvc was given.
     1891if test "${enable_msvc+set}" = set; then
     1892  enableval="$enable_msvc"
     1893  enable_msvc=$enableval
     1894else
     1895  enable_msvc=no
     1896     if test "$enable_doscompile" = msvc ; then
     1897       enable_msvc=yes
     1898     elif test "$enable_doscompile" != no ; then
     1899       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1900echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1901   { (exit 1); exit 1; }; }
     1902     fi
     1903
     1904fi;
     1905
     1906  if test "$enable_msvc" = yes; then
     1907    case $build in
     1908      *-cygwin* | *-mingw*) ;;
     1909      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1910echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1911   { (exit 1); exit 1; }; } ;;
     1912    esac
     1913  fi
     1914
     1915
     1916 case $build in
    18831917  *-mingw*)
    18841918    if test "${LD+set}" = set; then :; else
     
    18871921    ;;
    18881922 esac
    1889  case $enable_doscompile in
    1890    msvc)
    1891      if test "x${LD+set}" = xset; then :; else
    1892        LD=link
    1893      fi
    1894      ;;
    1895  esac
    1896 
    1897 
    1898  # Check whether --enable-doscompile or --disable-doscompile was given.
    1899 if test "${enable_doscompile+set}" = set; then
    1900   enableval="$enable_doscompile"
    1901   if test "$enable_doscompile" != no; then
    1902      case $build in
    1903        *-cygwin* | *-mingw*) ;;
    1904        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1905 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1923 if test $enable_msvc = yes ; then
     1924   if test "x${LD+set}" = xset; then :; else
     1925     LD=link
     1926   fi
     1927 fi
     1928
     1929
     1930# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1931if test "${enable_static_standardlibs+set}" = set; then
     1932  enableval="$enable_static_standardlibs"
     1933  case "$enableval" in
     1934     no | yes | auto ) ;;
     1935     *)
     1936       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1937echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19061938   { (exit 1); exit 1; }; } ;;
    1907      esac
    1908    fi
    1909 else
    1910   enable_doscompile=no
     1939   esac
     1940   use_static_standardlibs=$enableval
     1941else
     1942  use_static_standardlibs=no
    19111943fi;
    1912  case "$enable_doscompile" in
    1913    mingw)
    1914      case $build in
    1915        *-mingw*) enable_doscompile=no ;;
    1916      esac
    1917      ;;
    1918    msvc|no) ;;
    1919    yes) enable_doscompile=mingw ;;
    1920    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1921                     Try configure --help=recursive." >&5
    1922 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1923                     Try configure --help=recursive." >&2;}
    1924    { (exit 1); exit 1; }; }
    1925       ;;
    1926   esac
    1927   if test "$enable_doscompile" != no ; then
    1928     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1929 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1930   fi
     1944
    19311945
    19321946
     
    19711985case $build in
    19721986  *-cygwin* | *-mingw*)
    1973              if test "$enable_doscompile" = msvc ; then
    1974                comps="icl cl"
     1987             if test "$enable_msvc" = yes ; then
     1988               comps="icl cl gcc"
    19751989             else
    1976                comps="gcc cl"
     1990               comps="gcc icl cl"
    19771991             fi ;;
    19781992  *-*-solaris*)
     
    28272841            ;;
    28282842        esac
    2829         case $enable_doscompile in
    2830           mingw)
    2831             CFLAGS="-mno-cygwin"
    2832             cat >conftest.$ac_ext <<_ACEOF
    2833 /* confdefs.h.  */
    2834 _ACEOF
    2835 cat confdefs.h >>conftest.$ac_ext
    2836 cat >>conftest.$ac_ext <<_ACEOF
    2837 /* end confdefs.h.  */
    2838 
    2839 int
    2840 main ()
    2841 {
    2842 int i=0; i++;
    2843   ;
    2844   return 0;
    2845 }
    2846 _ACEOF
    2847 rm -f conftest.$ac_objext conftest$ac_exeext
    2848 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2849   (eval $ac_link) 2>conftest.er1
    2850   ac_status=$?
    2851   grep -v '^ *+' conftest.er1 >conftest.err
    2852   rm -f conftest.er1
    2853   cat conftest.err >&5
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); } &&
    2856          { ac_try='test -z "$ac_c_werror_flag"
    2857                          || test ! -s conftest.err'
    2858   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2859   (eval $ac_try) 2>&5
    2860   ac_status=$?
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); }; } &&
    2863          { ac_try='test -s conftest$ac_exeext'
    2864   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2865   (eval $ac_try) 2>&5
    2866   ac_status=$?
    2867   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2868   (exit $ac_status); }; }; then
    2869   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2870 else
    2871   echo "$as_me: failed program was:" >&5
    2872 sed 's/^/| /' conftest.$ac_ext >&5
    2873 
    2874 fi
    2875 rm -f conftest.err conftest.$ac_objext \
    2876       conftest$ac_exeext conftest.$ac_ext
    2877             CFLAGS=
    2878           ;;
    2879         esac
    28802843    esac
    28812844  fi
     
    30683031    CFLAGS="$OPT_CFLAGS"
    30693032  fi
     3033
    30703034else
    30713035  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32183182  clang* ) ;;
    32193183  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3220     case $build in
     3184
     3185 case $build in
    32213186  *-mingw*)
    32223187    if test "${LD+set}" = set; then :; else
     
    32253190    ;;
    32263191 esac
    3227  case $enable_doscompile in
    3228    msvc)
    3229      if test "x${LD+set}" = xset; then :; else
    3230        LD=link
    3231      fi
    3232      ;;
    3233  esac
     3192 if test $enable_msvc = yes ; then
     3193   if test "x${LD+set}" = xset; then :; else
     3194     LD=link
     3195   fi
     3196 fi
    32343197
    32353198    ;;
    32363199esac
     3200
     3201# check whether to add flags for static linking against standard libraries to LDFLAGS
     3202if test x$use_static_standardlibs != xno ; then
     3203  case $build in
     3204    *-mingw*)
     3205      static_standardlib_flag=-static
     3206      ;;
     3207    *)
     3208      static_standardlib_flag=-static-libgcc
     3209      ;;
     3210  esac
     3211  case " $LDFLAGS " in
     3212    *" $static_standardlib_flag "* ) ;;
     3213    *)
     3214    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3215echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3216    coin_save_LDFLAGS="$LDFLAGS"
     3217    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3218    cat >conftest.$ac_ext <<_ACEOF
     3219/* confdefs.h.  */
     3220_ACEOF
     3221cat confdefs.h >>conftest.$ac_ext
     3222cat >>conftest.$ac_ext <<_ACEOF
     3223/* end confdefs.h.  */
     3224
     3225int
     3226main ()
     3227{
     3228int i=0;
     3229  ;
     3230  return 0;
     3231}
     3232_ACEOF
     3233rm -f conftest.$ac_objext conftest$ac_exeext
     3234if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3235  (eval $ac_link) 2>conftest.er1
     3236  ac_status=$?
     3237  grep -v '^ *+' conftest.er1 >conftest.err
     3238  rm -f conftest.er1
     3239  cat conftest.err >&5
     3240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3241  (exit $ac_status); } &&
     3242         { ac_try='test -z "$ac_c_werror_flag"
     3243                         || test ! -s conftest.err'
     3244  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3245  (eval $ac_try) 2>&5
     3246  ac_status=$?
     3247  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3248  (exit $ac_status); }; } &&
     3249         { ac_try='test -s conftest$ac_exeext'
     3250  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3251  (eval $ac_try) 2>&5
     3252  ac_status=$?
     3253  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3254  (exit $ac_status); }; }; then
     3255  echo "$as_me:$LINENO: result: yes" >&5
     3256echo "${ECHO_T}yes" >&6
     3257else
     3258  echo "$as_me: failed program was:" >&5
     3259sed 's/^/| /' conftest.$ac_ext >&5
     3260
     3261echo "$as_me:$LINENO: result: no" >&5
     3262echo "${ECHO_T}no" >&6
     3263       LDFLAGS="$coin_save_LDFLAGS"
     3264       if test $use_static_standardlibs = yes ; then
     3265         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3266echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3267   { (exit 1); exit 1; }; }
     3268       fi
     3269
     3270fi
     3271rm -f conftest.err conftest.$ac_objext \
     3272      conftest$ac_exeext conftest.$ac_ext
     3273    ;;
     3274  esac
     3275fi
    32373276
    32383277ac_ext=c
     
    32483287 #Let's try if that overcomes configuration problem with VC++ 6.0
    32493288
     3289
    32503290ac_ext=cc
    32513291ac_cpp='$CXXCPP $CPPFLAGS'
     
    32663306case $build in
    32673307  *-cygwin* | *-mingw*)
    3268              if test "$enable_doscompile" = msvc ; then
    3269                comps="icl cl"
    3270              else
    3271                comps="g++ cl"
    3272              fi ;;
     3308      if test "$enable_msvc" = yes ; then
     3309         comps="icl cl g++"
     3310      else
     3311         comps="g++ icl cl"
     3312      fi ;;
    32733313  *-*-solaris*)
    32743314             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37783818            ;;
    37793819        esac
    3780 
    3781         case $enable_doscompile in
    3782           mingw)
    3783             CXXFLAGS="-mno-cygwin"
    3784             cat >conftest.$ac_ext <<_ACEOF
    3785 /* confdefs.h.  */
    3786 _ACEOF
    3787 cat confdefs.h >>conftest.$ac_ext
    3788 cat >>conftest.$ac_ext <<_ACEOF
    3789 /* end confdefs.h.  */
    3790 
    3791 int
    3792 main ()
    3793 {
    3794 int i=0; i++;
    3795   ;
    3796   return 0;
    3797 }
    3798 _ACEOF
    3799 rm -f conftest.$ac_objext conftest$ac_exeext
    3800 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3801   (eval $ac_link) 2>conftest.er1
    3802   ac_status=$?
    3803   grep -v '^ *+' conftest.er1 >conftest.err
    3804   rm -f conftest.er1
    3805   cat conftest.err >&5
    3806   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3807   (exit $ac_status); } &&
    3808          { ac_try='test -z "$ac_cxx_werror_flag"
    3809                          || test ! -s conftest.err'
    3810   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3811   (eval $ac_try) 2>&5
    3812   ac_status=$?
    3813   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3814   (exit $ac_status); }; } &&
    3815          { ac_try='test -s conftest$ac_exeext'
    3816   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3817   (eval $ac_try) 2>&5
    3818   ac_status=$?
    3819   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3820   (exit $ac_status); }; }; then
    3821   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3822 else
    3823   echo "$as_me: failed program was:" >&5
    3824 sed 's/^/| /' conftest.$ac_ext >&5
    3825 
    3826 fi
    3827 rm -f conftest.err conftest.$ac_objext \
    3828       conftest$ac_exeext conftest.$ac_ext
    3829             CXXFLAGS=
    3830           ;;
    3831         esac
    38323820    esac
    38333821  fi
     
    41814169  clang* ) ;;
    41824170  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4183     case $build in
     4171
     4172 case $build in
    41844173  *-mingw*)
    41854174    if test "${LD+set}" = set; then :; else
     
    41884177    ;;
    41894178 esac
    4190  case $enable_doscompile in
    4191    msvc)
    4192      if test "x${LD+set}" = xset; then :; else
    4193        LD=link
    4194      fi
    4195      ;;
    4196  esac
     4179 if test $enable_msvc = yes ; then
     4180   if test "x${LD+set}" = xset; then :; else
     4181     LD=link
     4182   fi
     4183 fi
    41974184
    41984185    ;;
    41994186esac
     4187
     4188# check whether to add flag for static linking against standard libraries to LDFLAGS
     4189if test x$use_static_standardlibs != xno ; then
     4190  case $build in
     4191    *-mingw*)
     4192      static_standardlib_flag=-static
     4193      ;;
     4194    *)
     4195      static_standardlib_flag=-static-libstdc++
     4196      ;;
     4197  esac
     4198  case " $LDFLAGS " in
     4199    *" $static_standardlib_flag "* ) ;;
     4200    *)
     4201    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4202echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4203    coin_save_LDFLAGS="$LDFLAGS"
     4204    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4205    cat >conftest.$ac_ext <<_ACEOF
     4206/* confdefs.h.  */
     4207_ACEOF
     4208cat confdefs.h >>conftest.$ac_ext
     4209cat >>conftest.$ac_ext <<_ACEOF
     4210/* end confdefs.h.  */
     4211
     4212int
     4213main ()
     4214{
     4215int i=0;
     4216  ;
     4217  return 0;
     4218}
     4219_ACEOF
     4220rm -f conftest.$ac_objext conftest$ac_exeext
     4221if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4222  (eval $ac_link) 2>conftest.er1
     4223  ac_status=$?
     4224  grep -v '^ *+' conftest.er1 >conftest.err
     4225  rm -f conftest.er1
     4226  cat conftest.err >&5
     4227  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4228  (exit $ac_status); } &&
     4229         { ac_try='test -z "$ac_cxx_werror_flag"
     4230                         || test ! -s conftest.err'
     4231  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4232  (eval $ac_try) 2>&5
     4233  ac_status=$?
     4234  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4235  (exit $ac_status); }; } &&
     4236         { ac_try='test -s conftest$ac_exeext'
     4237  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4238  (eval $ac_try) 2>&5
     4239  ac_status=$?
     4240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4241  (exit $ac_status); }; }; then
     4242  echo "$as_me:$LINENO: result: yes" >&5
     4243echo "${ECHO_T}yes" >&6
     4244else
     4245  echo "$as_me: failed program was:" >&5
     4246sed 's/^/| /' conftest.$ac_ext >&5
     4247
     4248echo "$as_me:$LINENO: result: no" >&5
     4249echo "${ECHO_T}no" >&6
     4250       LDFLAGS="$coin_save_LDFLAGS"
     4251       if test $use_static_standardlibs = yes ; then
     4252         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4253echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4254   { (exit 1); exit 1; }; }
     4255       fi
     4256
     4257fi
     4258rm -f conftest.err conftest.$ac_objext \
     4259      conftest$ac_exeext conftest.$ac_ext
     4260    ;;
     4261  esac
     4262fi
    42004263
    42014264ac_ext=c
     
    61656228*-*-irix6*)
    61666229  # Find out which ABI we are using.
    6167   echo '#line 6167 "configure"' > conftest.$ac_ext
     6230  echo '#line 6230 "configure"' > conftest.$ac_ext
    61686231  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61696232  (eval $ac_compile) 2>&5
     
    72997362
    73007363# Provide some information about the compiler.
    7301 echo "$as_me:7301:" \
     7364echo "$as_me:7364:" \
    73027365     "checking for Fortran 77 compiler version" >&5
    73037366ac_compiler=`set X $ac_compile; echo $2`
     
    83668429   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83678430   -e 's:$: $lt_compiler_flag:'`
    8368    (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
     8431   (eval echo "\"\$as_me:8431: $lt_compile\"" >&5)
    83698432   (eval "$lt_compile" 2>conftest.err)
    83708433   ac_status=$?
    83718434   cat conftest.err >&5
    8372    echo "$as_me:8372: \$? = $ac_status" >&5
     8435   echo "$as_me:8435: \$? = $ac_status" >&5
    83738436   if (exit $ac_status) && test -s "$ac_outfile"; then
    83748437     # The compiler can only warn and ignore the option if not recognized
     
    86348697   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86358698   -e 's:$: $lt_compiler_flag:'`
    8636    (eval echo "\"\$as_me:8636: $lt_compile\"" >&5)
     8699   (eval echo "\"\$as_me:8699: $lt_compile\"" >&5)
    86378700   (eval "$lt_compile" 2>conftest.err)
    86388701   ac_status=$?
    86398702   cat conftest.err >&5
    8640    echo "$as_me:8640: \$? = $ac_status" >&5
     8703   echo "$as_me:8703: \$? = $ac_status" >&5
    86418704   if (exit $ac_status) && test -s "$ac_outfile"; then
    86428705     # The compiler can only warn and ignore the option if not recognized
     
    87388801   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87398802   -e 's:$: $lt_compiler_flag:'`
    8740    (eval echo "\"\$as_me:8740: $lt_compile\"" >&5)
     8803   (eval echo "\"\$as_me:8803: $lt_compile\"" >&5)
    87418804   (eval "$lt_compile" 2>out/conftest.err)
    87428805   ac_status=$?
    87438806   cat out/conftest.err >&5
    8744    echo "$as_me:8744: \$? = $ac_status" >&5
     8807   echo "$as_me:8807: \$? = $ac_status" >&5
    87458808   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87468809   then
     
    1108311146  lt_status=$lt_dlunknown
    1108411147  cat > conftest.$ac_ext <<EOF
    11085 #line 11085 "configure"
     11148#line 11148 "configure"
    1108611149#include "confdefs.h"
    1108711150
     
    1118311246  lt_status=$lt_dlunknown
    1118411247  cat > conftest.$ac_ext <<EOF
    11185 #line 11185 "configure"
     11248#line 11248 "configure"
    1118611249#include "confdefs.h"
    1118711250
     
    1352713590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352813591   -e 's:$: $lt_compiler_flag:'`
    13529    (eval echo "\"\$as_me:13529: $lt_compile\"" >&5)
     13592   (eval echo "\"\$as_me:13592: $lt_compile\"" >&5)
    1353013593   (eval "$lt_compile" 2>conftest.err)
    1353113594   ac_status=$?
    1353213595   cat conftest.err >&5
    13533    echo "$as_me:13533: \$? = $ac_status" >&5
     13596   echo "$as_me:13596: \$? = $ac_status" >&5
    1353413597   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353513598     # The compiler can only warn and ignore the option if not recognized
     
    1363113694   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363213695   -e 's:$: $lt_compiler_flag:'`
    13633    (eval echo "\"\$as_me:13633: $lt_compile\"" >&5)
     13696   (eval echo "\"\$as_me:13696: $lt_compile\"" >&5)
    1363413697   (eval "$lt_compile" 2>out/conftest.err)
    1363513698   ac_status=$?
    1363613699   cat out/conftest.err >&5
    13637    echo "$as_me:13637: \$? = $ac_status" >&5
     13700   echo "$as_me:13700: \$? = $ac_status" >&5
    1363813701   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363913702   then
     
    1520115264   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520215265   -e 's:$: $lt_compiler_flag:'`
    15203    (eval echo "\"\$as_me:15203: $lt_compile\"" >&5)
     15266   (eval echo "\"\$as_me:15266: $lt_compile\"" >&5)
    1520415267   (eval "$lt_compile" 2>conftest.err)
    1520515268   ac_status=$?
    1520615269   cat conftest.err >&5
    15207    echo "$as_me:15207: \$? = $ac_status" >&5
     15270   echo "$as_me:15270: \$? = $ac_status" >&5
    1520815271   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520915272     # The compiler can only warn and ignore the option if not recognized
     
    1530515368   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530615369   -e 's:$: $lt_compiler_flag:'`
    15307    (eval echo "\"\$as_me:15307: $lt_compile\"" >&5)
     15370   (eval echo "\"\$as_me:15370: $lt_compile\"" >&5)
    1530815371   (eval "$lt_compile" 2>out/conftest.err)
    1530915372   ac_status=$?
    1531015373   cat out/conftest.err >&5
    15311    echo "$as_me:15311: \$? = $ac_status" >&5
     15374   echo "$as_me:15374: \$? = $ac_status" >&5
    1531215375   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531315376   then
     
    1751217575   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751317576   -e 's:$: $lt_compiler_flag:'`
    17514    (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
     17577   (eval echo "\"\$as_me:17577: $lt_compile\"" >&5)
    1751517578   (eval "$lt_compile" 2>conftest.err)
    1751617579   ac_status=$?
    1751717580   cat conftest.err >&5
    17518    echo "$as_me:17518: \$? = $ac_status" >&5
     17581   echo "$as_me:17581: \$? = $ac_status" >&5
    1751917582   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752017583     # The compiler can only warn and ignore the option if not recognized
     
    1778017843   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778117844   -e 's:$: $lt_compiler_flag:'`
    17782    (eval echo "\"\$as_me:17782: $lt_compile\"" >&5)
     17845   (eval echo "\"\$as_me:17845: $lt_compile\"" >&5)
    1778317846   (eval "$lt_compile" 2>conftest.err)
    1778417847   ac_status=$?
    1778517848   cat conftest.err >&5
    17786    echo "$as_me:17786: \$? = $ac_status" >&5
     17849   echo "$as_me:17849: \$? = $ac_status" >&5
    1778717850   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778817851     # The compiler can only warn and ignore the option if not recognized
     
    1788417947   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788517948   -e 's:$: $lt_compiler_flag:'`
    17886    (eval echo "\"\$as_me:17886: $lt_compile\"" >&5)
     17949   (eval echo "\"\$as_me:17949: $lt_compile\"" >&5)
    1788717950   (eval "$lt_compile" 2>out/conftest.err)
    1788817951   ac_status=$?
    1788917952   cat out/conftest.err >&5
    17890    echo "$as_me:17890: \$? = $ac_status" >&5
     17953   echo "$as_me:17953: \$? = $ac_status" >&5
    1789117954   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789217955   then
     
    2142121484echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2142221485coin_link_input_cmd="$LN_S"
    21423 if test "$enable_doscompile" = mingw; then
    21424   coin_link_input_cmd=cp
    21425 fi
    2142621486case "$CC" in
    2142721487  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.